Bug 2106274 (CVE-2022-35650, MSA-22-0016) - CVE-2022-35650 moodle: Arbitrary file read when importing lesson questions
Summary: CVE-2022-35650 moodle: Arbitrary file read when importing lesson questions
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2022-35650, MSA-22-0016
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2108040 2108039
Blocks: 2106283 2110417
TreeView+ depends on / blocked
 
Reported: 2022-07-12 09:23 UTC by TEJ RATHI
Modified: 2022-08-30 05:55 UTC (History)
4 users (show)

Fixed In Version: moodle 4.0.2, moodle 3.11.8, moodle 3.9.15
Doc Type: If docs needed, set a value
Doc Text:
The vulnerability was found in Moodle, occurs due to input validation error when importing lesson questions. This insufficient path checks results in arbitrary file read risk. This vulnerability allows a remote attacker to perform directory traversal attacks. The capability to access this feature is only available to teachers, managers and admins by default.
Clone Of:
Environment:
Last Closed: 2022-08-30 05:55:51 UTC
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2022-07-12 09:23:34 UTC
Insufficient path checks in a lesson question import resulted in an arbitrary file read risk. The capability to
access this feature is only available to teachers, managers and admins by default.

Versions affected: 4.0 to 4.0.1, 3.11 to 3.11.7, 3.9 to 3.9.14 and earlier unsupported versions
Versions fixed: 4.0.2, 3.11.8 and 3.9.15

Comment 3 TEJ RATHI 2022-07-18 10:54:29 UTC
Created moodle tracking bugs for this issue:

Affects: epel-all [bug 2108040]
Affects: fedora-all [bug 2108039]

Comment 4 Product Security DevOps Team 2022-08-30 05:55:49 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.